---
title: Mise à jour
sidebarDepth: 3
---

# Comment installer Castopod ?

Après avoir installé Castopod, vous pouvez mettre à jour votre instance vers la dernière version afin de profiter des dernières fonctionnalités ✨, des corrections de bugs 🐛 et des améliorations de performance ⚡.

## Instructions de mise à jour

0. ⚠️ Avant toute mise à jour, nous vous recommandons fortement de sauvegarder vos fichiers Castopod et la base de données .

   - cf. [Should I make a backup before updating?](#should-i-make-a-backup-before-updating)

1. Allez à la page [des versions](https://code.castopod.org/adaures/castopod/-/releases) et vérifiez si votre instance est à jour avec la dernière version de Castopod

   - cf. [Where can I find my Castopod version?](#where-can-i-find-my-castopod-version)

2. Téléchargez la dernière version du paquet nommé `Castopod Package`. Vous pouvez choisir entre les archives au format `zip` ou `tar.gz`

   - ⚠️ Assurez-vous de bien télécharger le paquet Castopod et **NON** le code source
   - Notez que vous pouvez également télécharger le dernier paquet depuis [castopod.org](https://castopod.org/)

3. Sur votre serveur :

   - Supprimer tous les fichiers sauf `.env` et `public/media`
   - Copiez les nouveaux fichiers du paquet téléchargé sur votre serveur

     ::: info Note

     Vous devrez peut-être re-définir les autorisations de fichiers comme effectué durant le processus d'installation. Vérifiez les [questions de sécurité](./security.md).

     :::

4. Mettez à jour votre schéma de base de données depuis `Administrateur Castopod` > `À propos` ou en exécutant :

   ```bash
   php spark castopod:database-update
   ```

5. Videz votre cache de votre `Administrateur Castopod` > `Paramètres` > `Général` > `Foyer`
6. ✨Profitez de votre nouvelle instance, vous avez terminé !

::: Note d'information

Les versions peuvent être accompagnées d'instructions de mise à jour supplémentaires (cf. la [page des notes de versions](https://code.castopod.org/adaures/castopod/-/releases)).

- Je n'ai pas mis à jour mon instance depuis longtemps… Que devrais-je faire ?</a>

:::

## Mises à jour entièrement automatisées

> Prochainement... 👀

## Foire Aux Questions (FAQ)

### Où puis-je trouver ma version de Castopod ?

Allez dans votre panneau d'administration de Castopod, la version s'affiche en bas à gauche.

Vous pouvez également trouver la version dans l'application `> Configuration > Constantes.php` dossier.

### [Je n'ai pas mis à jour mon instance depuis longtemps… Que devrais-je faire ?](#i-havent-updated-my-instance-in-a-long-time-what-should-i-do)

Pas de problème ! Il suffit d'obtenir la dernière version comme décrit ci-dessus. Lorsque vous exécutez les instructions de mise à jour (4), lancez-les séquentiellement, de la plus ancienne à la plus récente.

> Vous devriez sauvegarder votre instance selon la date de votre dernière mise à jour de Castopod.

Par exemple, si vous êtes en `v1.0.0-alpha.42` et souhaitez mettre à jour vers la `v1.0.0-beta.1` :

0. (fortement recommandé) Faites une sauvegarde de vos fichiers et de votre base de données.

1. Téléchargez la dernière version, écrasez vos fichiers tout en conservant `.env` et `public/media`.

2. Effectuez les instructions de mise à jour l'une après l'autre (de la plus ancienne à la plus récente).

3. ✨ Votre nouvelle instance est prête !

### Dois-je faire une sauvegarde avant de mettre à jour ?

Nous vous conseillons de le faire, afin de ne pas tout perdre si quelque chose se passait mal !

Plus généralement, nous vous conseillons de faire des sauvegardes régulières de vos fichiers Castopod et de votre base de données afin d'éviter de tout perdre…
